Subject: 24.3.50; Problem with sql-mode and font highlighting

From: Dani Moncayo <[email-masked]>
Date: Wed, 30 Jan 2013 19:35:30 +0100

Recipe from "emacs -Q":
1. Write this text in the buffer: "select foo from bar".
2. M-x sql-mode RET

Here I'd expect that the text I've written was highlighted, but it isn't.

So, in order to get the correct highlighting I have to do this:
3. Save the buffer with a name ending in ".sql".
4. Kill the buffer.
5. Visit the file created in #3.

I think that the steps 3, 4 and 5 should not be necessary (specially 4 and 5).

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.13)
 of 2013-01-28 on dani-Lenovo-G570
Bzr revision: 111617 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11300000
System Description:	Ubuntu 12.10

-- 
Dani Moncayo